import React, { ReactNode } from "react";
import { Radius } from "../../shared/radius";
import { TextSize } from "../../shared/text-size";
export interface ChipProps {
    children?: ReactNode;
    startContent?: ReactNode;
    endContent?: ReactNode;
    size?: TextSize;
    radius?: Radius;
    color?: string;
    variant?: "solid" | "outline";
}
declare const Chip: ({ children, size, radius, color, startContent, endContent, variant }: ChipProps) => React.JSX.Element;
export default Chip;
