import React, { ReactNode } from "react";
import { Radius } from "../../shared/radius";
import { TextSize } from "../../shared/text-size";
export interface ButtonProps {
    children?: ReactNode;
    startContent?: ReactNode;
    endContent?: ReactNode;
    color?: string;
    size?: TextSize;
    radius?: Radius;
    variant?: "solid" | "outline" | "text";
    style?: React.CSSProperties;
    isIcon?: boolean;
    onClick?: () => void;
}
declare const Button: ({ children, startContent, endContent, color, size, radius, variant, isIcon, onClick, style, }: ButtonProps) => React.JSX.Element;
export default Button;
